Bug 246530 - [exp-run] devel/protobuf: update to 3.12.2
Summary: [exp-run] devel/protobuf: update to 3.12.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://people.FreeBSD.org/~sunpoet/p...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-17 19:56 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2020-06-03 18:34 UTC (History)
0 users

See Also:
antoine: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-17 19:56:37 UTC
Update to 3.12.0

Changes:        https://github.com/protocolbuffers/protobuf/releases
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-25 17:48:58 UTC
Patch update with protobuf 3.12.1 and fixes for ja-mozc-{server,tool}.

I don't have a fix for security/certificate-transparency and I would like to mark it BROKEN.
The failure is caused by a class inherits the generated message which is prohibited.

from the documentation of protobuf [1]:
> You should never add behaviour to the generated classes by inheriting from them.

protobuf marked generated classes final as of 3.7.0. The behavior was temporarily reverted in 3.7.1 [2] to give developers more time to fix codes. And upstream marked it final again since 3.12.0.

from 3.12.0 release [3]:
> Mark generated classes as final; inheriting from protos is strongly discouraged.

On the certificate-transparency side, I've reported the failure upstream since 3.7.0 [4] and they did not want to fix it. I've checked the latest snapshot and it is not fixed yet.

[1] https://developers.google.com/protocol-buffers/docs/cpptutorial#parsing-and-serialization
[2] https://github.com/protocolbuffers/protobuf/commit/b3c132f6f33a58c7f3333c72e5d217bd3f6c9f11
[2] https://github.com/protocolbuffers/protobuf/releases/tag/v3.12.0
[4] https://github.com/google/certificate-transparency/issues/1461
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-05-28 15:10:16 UTC
Update patch to protobuf 3.12.2 with fixes for ja-mozc-{server,tool}.
Comment 5 Antoine Brodin freebsd_committer 2020-06-02 08:02:46 UTC
Exp-run looks fine
Comment 6 commit-hook freebsd_committer 2020-06-03 18:05:42 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Jun  3 18:05:24 UTC 2020
New revision: 537631
URL: https://svnweb.freebsd.org/changeset/ports/537631

Log:
  Update to 3.12.2

  Changes:	https://github.com/protocolbuffers/protobuf/releases
  PR:		246530
  Exp-run by:	antoine

Changes:
  head/devel/protobuf/Makefile
  head/devel/protobuf/distinfo
  head/devel/protobuf/pkg-plist
Comment 7 commit-hook freebsd_committer 2020-06-03 18:32:45 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Jun  3 18:30:37 UTC 2020
New revision: 537828
URL: https://svnweb.freebsd.org/changeset/ports/537828

Log:
  MMark BROKEN

  certificate-transparency inherits generated classes which is prohibited by protobuf.
  protobuf marks generated classes as final in 3.7.0 and in 3.12.0 again.

  PR:		246530

Changes:
  head/security/certificate-transparency/Makefile
Comment 8 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-06-03 18:34:40 UTC
Committed. Thanks!